BmpSampleValue Class Referenceabstract

an (abstract) sample value in a bmp file

`#include <BmpSampleValue.h>`

Inheritance diagram for BmpSampleValue:

## Public Member Functions

| BmpSampleValue (void)
virtual UWORD32 | calcDistance (const SampleValue *s) const
virtual unsigned char | getRed (void) const =0
virtual unsigned char | getGreen (void) const =0
virtual unsigned char | getBlue (void) const =0
Public Member Functions inherited from SampleValue
| SampleValue (void)
virtual | ~SampleValue (void)
virtual SampleValue * | getNearestTargetSampleValue (EmbValue t) const =0
virtual std::string | getName (void) const =0
virtual bool | isNeighbour (const SampleValue *s) const
EmbValue | getEmbeddedValue (void) const
UWORD32 | getKey (void) const
bool | operator== (const SampleValue &sv) const
bool | operator!= (const SampleValue &sv) const
bool | operator< (const SampleValue &sv) const
UWORD32 | getNumEdges (EmbValue t) const
void | setNumEdges (EmbValue t, UWORD32 ne)
void | incNumEdges (EmbValue t)
void | decNumEdges (EmbValue t)
void | setLabel (unsigned long l)
unsigned long | getLabel (void) const
void | print (unsigned short spc=0) const

## Additional Inherited Members

Protected Attributes inherited from SampleValue
EmbValue | EValue
| the bit that is embedded in this sample value - must be set in constructor of derived class
UWORD32 | Key
| the key of this sample value - must be different for two different sample values - must be set in constructor of derived class

## Constructor & Destructor Documentation

## BmpSampleValue()

BmpSampleValue::BmpSampleValue | ( | void |  | ) |

inline

## Member Function Documentation

## calcDistance()

UWORD32 BmpSampleValue::calcDistance | ( | const SampleValue * | s | ) | const

virtual

calculate the distance between the sample value s and this sample value

Parameters

  s | a sample value of the same type as this

Returns
  the distance

Implements SampleValue.

Reimplemented in BmpRGBSampleValue.

## getBlue()

virtual unsigned char BmpSampleValue::getBlue | ( | void |  | ) | const

pure virtual

get the blue color component

Implemented in BmpPaletteSampleValue, and BmpRGBSampleValue.

## getGreen()

virtual unsigned char BmpSampleValue::getGreen | ( | void |  | ) | const

pure virtual

get the green color component

Implemented in BmpPaletteSampleValue, and BmpRGBSampleValue.

## getRed()

virtual unsigned char BmpSampleValue::getRed | ( | void |  | ) | const

pure virtual

get the red color component

Implemented in BmpPaletteSampleValue, and BmpRGBSampleValue.

The documentation for this class was generated from the following files:

- BmpSampleValue.h
- BmpSampleValue.cc